# PSF-LoginServer - master - net.psforever.packet.game.SquadDetailDefinitionUpdateMessage.FullyPopulatedPositions
PSF - LoginServer - master - net.psforever.packet.game.SquadDetailDefinitionUpdateMessage.FullyPopulatedPositions
Keywords: PSF LoginServer master net.psforever.packet.game.SquadDetailDefinitionUpdateMessage.FullyPopulatedPositions

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  object SquadDetailDefinitionUpdateMessage extends Marshallable[SquadDetailDefinitionUpdateMessage] with Serializable
  Definition Classes
    game
- FullSquad
- FullyPopulatedPositions
- ItemizedPositions
- ItemizedSquad

o

net.psforever.packet.game.SquadDetailDefinitionUpdateMessage

# FullyPopulatedPositions

###

#### object FullyPopulatedPositions

The patterns necessary to read enumerated squad position data. The main squad position data has been completed and now the squad's open positions are being parsed. These patterns split the difference between `FullSquad` operations and `ItemizedSquad` operations. Normally the whole of the squad position data is parsed in a single pass in `FullSquad` and, during `ItemizedSquad`, only piecemeal squad position fields are parsed. Furthermore, `FullSquad` position data is un-indexed because it is always presented in correct order, and `ItemizedSquad` positional data is indexed because it can skip entries and may be encountered in any order. These patterns parse full squad position data that is also indexed.

Source
  SquadDetailDefinitionUpdateMessage.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FullyPopulatedPositions
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def codec(bitsOverByte: StreamLengthToken): Codec[Vector[SquadPositionEntry]]

   Entry point.

   Entry point.

   bitsOverByte

     a token maintaining stream misalignment for purposes of calculating string padding

7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped